- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TwoOptTabuList Class Reference

The table of tabu movements, i.e. More...

`#include <two_opt_tabu_list.h>`

Inheritance diagram for TwoOptTabuList:

List of all members.

## Public Member Functions
bool | operator() (const TwoOpt &__move, const Route &__sol)
void | add (const TwoOpt &__move, const Route &__sol)
void | update ()
| Procedure that updates the tabu list content.
void | init ()
| Procedure which initialises the tabu list.
## Private Attributes
std::vector< std::vector< unsigned > > | tabu_span

## Detailed Description

The table of tabu movements, i.e.

forbidden edges

Definition at line 20 of file two_opt_tabu_list.h.

## Member Function Documentation

void TwoOptTabuList::update | ( |  | ) | `[virtual]`

Procedure that updates the tabu list content.

Generally, a counter associated to each saved move is decreased by one.

Implements moTabuList< TwoOpt >.

Definition at line 46 of file two_opt_tabu_list.cpp.

References tabu_span.

void TwoOptTabuList::init | ( |  | ) | `[virtual]`

Procedure which initialises the tabu list.

Can be useful if the data structure needs to be allocated before being used.

Implements moTabuList< TwoOpt >.

Definition at line 17 of file two_opt_tabu_list.cpp.

References Graph::size(), and tabu_span.

The documentation for this class was generated from the following files:

- two_opt_tabu_list.h
- two_opt_tabu_list.cpp